@online{A002182_Oeis,
  author  = {OEIS Foundation},
  title   = {A002182 - OEIS},
  year    = 2003,
  url     = {https://oeis.org/A002182},
  urldate = {2003-06-11}
}
@online{A007908_Oeis,
  author  = {OEIS Foundation},
  title   = {A007908 - OEIS},
  year    = 2003,
  url     = {https://oeis.org/A007908},
  urldate = {2003-06-11}
}
@online{Ams_Mathematics_Of_Computation,
  author  = {Unknown},
  title   = {AMS :: Mathematics of Computation},
  year    = 1992,
  url     = {http://www.ams.org/journals/mcom/2018-87-314/S0025-5718-2017-03221-X/},
  urldate = {1992-07-15}
}
@online{Aristarchus_Of_Samos_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Aristarchus of Samos},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Aristarchus_of_Samos},
  urldate = {2001-01-13}
}
@online{Arithmetic_Mean_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Arithmetic mean},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Arithmetic_mean},
  urldate = {2001-01-13}
}
@online{Art_Of_Problem_Solving,
  author  = {REDACTED FOR PRIVACY},
  title   = {Art of Problem Solving},
  year    = 2002,
  url     = {http://www.artofproblemsolving.com/},
  urldate = {2002-05-24}
}
@online{Asymptote_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Asymptote},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Asymptote},
  urldate = {2001-01-13}
}
@online{A_Universe_From_Nothing,
  author  = {Amazon Technologies, Inc.},
  title   = {A Universe from Nothing: Why There Is Something Rather than Nothing},
  year    = 1994,
  url     = {http://www.amazon.com/Universe-Nothing-There-Something-Rather/dp/1451624468},
  urldate = {1994-11-01}
}
@online{Ball_Triangle_Picking_From_Wolfram_Mathworld,
  author  = {Wolfram Research Inc.},
  title   = {Ball Triangle Picking -- from Wolfram MathWorld},
  year    = 1996,
  url     = {http://mathworld.wolfram.com/BallTrianglePicking.html},
  urldate = {1996-01-31}
}
@online{Bessel,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Bessel},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Friedrich_Bessel},
  urldate = {2001-01-13}
}
@online{Brougham_Cumbria_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Brougham, Cumbria},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Brougham,_Cumbria},
  urldate = {2001-01-13}
}
@online{Butterfly_Theorem_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Butterfly theorem},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Butterfly_theorem},
  urldate = {2001-01-13}
}
@online{Carl_Friedrich_Gauss_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Carl Friedrich Gauss},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Carl_Friedrich_Gauss},
  urldate = {2001-01-13}
}
@online{Chaos_Theory_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Chaos theory},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Chaos_theory},
  urldate = {2015-12-12}
}
@online{Charles_Babbage_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Charles Babbage},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Charles_Babbage},
  urldate = {2001-01-13}
}
@online{Christopher_Langton_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Christopher Langton},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Christopher_Langton},
  urldate = {2001-01-13}
}
@online{Closed_Form_Expression_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Closed-form expression},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Closed-form_expression},
  urldate = {2001-01-13}
}
@online{Combinations_Course_Choosing_Mathematics_Stack_Exchange,
  author  = {Stack Exchange, Inc.},
  title   = {Combinations - Course choosing - Mathematics Stack Exchange},
  year    = 2009,
  url     = {http://math.stackexchange.com/questions/766094/combinations-course-choosing},
  urldate = {2009-06-12}
}
@online{Mathematics_Stack_Exchange,
  author  = {Stack Exchange, Inc.},
  title   = {Mathematics Stack Exchange},
  year    = 2009,
  url     = {http://math.stackexchange.com},
  urldate = {2009-06-12}
}
@online{Complex_Number_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Complex number},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Complex_number},
  urldate = {2001-01-13}
}
@online{Constant_Of_Integration_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Constant of integration},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Constant_of_integration},
  urldate = {2001-01-13}
}
@online{Conway_Constant_From_Wolfram_Mathworld,
  author  = {Wolfram Research Inc.},
  title   = {Conway's Constant -- from Wolfram MathWorld},
  year    = 1996,
  url     = {http://mathworld.wolfram.com/ConwaysConstant.html},
  urldate = {1996-01-31}
}
@online{John_Horton_Conway_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {John Horton},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/John_Horton_Conway},
  urldate = {2001-01-13}
}
@online{Srinivasa_Ramanujan_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Srinivasa Ramanujan},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Srinivasa_Ramanujan},
  urldate = {2001-01-13}
}
@online{C_Source_Hackenbush,
  author  = {Unknown},
  title   = {C source},
  year    = 2000,
  url     = {http://www.geometer.org/puzzles/hack.c},
  urldate = {2000-02-07}
}
@online{Cubic_Mean_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Cubic mean},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Cubic_mean},
  urldate = {2001-01-13}
}
@online{Daniel_Sleator_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Daniel Sleator},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Daniel_Sleator},
  urldate = {2001-01-13}
}
@online{David_Applegate_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {David Applegate},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/David_Applegate},
  urldate = {2001-01-13}
}
@online{Diophantine_Equation_2Nd_Powers_From_Wolfram_Mathworld,
  author  = {Wolfram Research Inc.},
  title   = {Diophantine Equation--2nd Powers -- from Wolfram MathWorld},
  year    = 1996,
  url     = {http://mathworld.wolfram.com/DiophantineEquation2ndPowers.html},
  urldate = {1996-01-31}
}
@online{Divisor_Function_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Divisor function},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Divisor_function},
  urldate = {2001-01-13}
}
@online{Donald_Knuth_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Donald Knuth},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Donald_Knuth},
  urldate = {2001-01-13}
}
@online{Edouard_Lucas_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Edouard Lucas},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Edouard_Lucas},
  urldate = {2001-01-13}
}
@online{Euclid_Elements_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Euclid's Elements},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Euclid's_Elements},
  urldate = {2001-01-13}
}
@online{Euclid_Euler_Theorem_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Euclid-Euler theorem},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Euclid-Euler_theorem},
  urldate = {2001-01-13}
}
@online{Euclid_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Euclid},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Euclid},
  urldate = {2001-01-13}
}
@online{Euler_Mascheroni_Constant,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Euler-Mascheroni constant},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Euler%E2%80%93Mascheroni_constant},
  urldate = {2001-01-13}
}
@online{Eureka_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Eureka (word)},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Eureka_(word)},
  urldate = {2001-01-13}
}
@online{Expert_Consulting_In_Applied_Mathematics,
  author  = {Singular Value Consulting},
  title   = {Expert consulting in applied mathematics},
  year    = 2007,
  url     = {https://www.johndcook.com},
  urldate = {2007-09-13}
}
@online{Fermat_Last_Theorem,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Fermat's last theorem},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Fermat's_Last_Theorem},
  urldate = {2001-01-13}
}
@Online{Fibonacci_Number_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Fibonacci number},
  year    = {2001},
  url     = {https://en.wikipedia.org/wiki/Fibonacci_number},
  urldate = {2001-01-13},
}
@online{Galton_Paper,
  author  = {Unknown},
  title   = {paper},
  year    = 2000,
  url     = {http://galton.org/essays/1900-1911/galton-1906-cake.pdf},
  urldate = {2000-07-12}
}
@online{Gamma_Function_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Gamma function},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Gamma_function},
  urldate = {2001-01-13}
}
@online{Gauss_Circle_Problem_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Gauss circle problem},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Gauss_circle_problem},
  urldate = {2001-01-13}
}
@online{Gaussian_Elimination_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Gaussian elimination},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Gaussian_elimination},
  urldate = {2001-01-13}
}
@online{Generalized_Mean_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Generalized mean},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Generalized_mean},
  urldate = {2001-01-13}
}
@online{Geogebra,
  author  = {International GeoGebra Institute},
  title   = {GeoGebra},
  year    = 2006,
  url     = {https://www.geogebra.org},
  urldate = {2006-01-09}
}
@online{Geometric_Mean_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Geometric mean},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Geometric_mean},
  urldate = {2001-01-13}
}
@online{Golden_Ratio_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Golden ratio},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Golden_ratio},
  urldate = {2001-01-13}
}
@online{Graph_Theory_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Graph theory},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Graph_theory},
  urldate = {2001-01-13}
}
@online{Graph_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Graph},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Graph_(mathematics)},
  urldate = {2001-01-13}
}
@online{Gravity_Of_Earth_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Gravity of Earth},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Gravity_of_Earth},
  urldate = {2001-01-13}
}
@online{Harmonic_Mean_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Harmonic mean},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Harmonic_mean},
  urldate = {2001-01-13}
}
@online{Herschel_Mysterious_Doodle_Brady_Haran,
  author  = {Contact Privacy Inc. Customer 0138998649},
  title   = {Herschel's Mysterious Doodle — Brady Haran},
  year    = 2014,
  url     = {http://www.bradyharanblog.com/blog/2015/7/10/herschels-mysterious-doodle-1},
  urldate = {2014-12-12}
}
@online{Horner_Method_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Horner's method},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Horner's_method},
  urldate = {2001-01-13}
}
@online{Hxc3Xb6Lder_Inequality_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Hxc3xb6lder's inequality},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Holder_inequality},
  urldate = {2001-01-13}
}
@online{Hypergeometric_Function_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Hypergeometric function},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Hypergeometric_function},
  urldate = {2001-01-13}
}
@online{Hypersphere_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Hypersphere},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Hypersphere},
  urldate = {2001-01-13}
}
@online{Inclusion_Exclusion_Principle,
  author  = {Wikimedia Foundation, Inc.},
  title   = {inclusion-exclusion principle},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Inclusion-exclusion_principle},
  urldate = {2001-01-13}
}
@online{Inequality_Of_Arithmetic_And_Geometric_Means_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Inequality of arithmetic and geometric means},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Inequality_of_arithmetic_and_geometric_means},
  urldate = {2001-01-13}
}
@online{Integer_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Integer},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Integer},
  urldate = {2001-01-13}
}
@online{Intermediate_Value_Theorem,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Intermediate value theorem},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Intermediate_value_theorem},
  urldate = {2001-01-13}
}
@online{Intersection_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Intersection},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Intersection},
  urldate = {2001-01-13}
}
@online{Isaac_Newton_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Isaac Newton},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Isaac_Newton},
  urldate = {2001-01-13}
}
@online{i_to_i_Youtube,
  author  = {Google LLC},
  title   = {ii - YouTube},
  year    = 2017,
  url     = {https://youtu.be/9tlHQOKMHGA},
  urldate = {2019-02-14}
}
@online{Jacob_Bernoulli_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Jacob Bernoulli},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Jacob_Bernoulli},
  urldate = {2001-01-13}
}
@online{Jacobson,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Jacobson},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Guy_Jacobson},
  urldate = {2001-01-13}
}
@online{James_Stirling_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {James Stirling (mathematician)},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/James_Stirling_(mathematician)},
  urldate = {2001-01-13}
}
@online{Java_Source,
  author  = {Bitstorm Internet Development},
  title   = {Java source},
  year    = 1998,
  url     = {http://www.bitstorm.org/gameoflife/standalone/GameOfLife.jar},
  urldate = {1998-10-19}
}
@online{Java_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Java (programming language)},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Java_(programming_language)},
  urldate = {2001-01-13}
}
@online{John_Herschel_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {John Herschel},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/John_Herschel},
  urldate = {2001-01-13}
}
@online{John_Scarne_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {John Scarne},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/John_Scarne},
  urldate = {2001-01-13}
}
@online{Joseph_Liouville_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Joseph Liouville},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Joseph_Liouville},
  urldate = {2001-01-13}
}
@online{Josephus_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Josephus},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Josephus},
  urldate = {2001-01-13}
}
@online{Jung_Theorem_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Jung's theorem},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Jung's_theorem},
  urldate = {2001-01-13}
}
@online{Kxc5X91Nig_Lemma_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Kxc5x91nig's lemma},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Konig's_lemma},
  urldate = {2001-01-13}
}
@online{Leonhard_Euler_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Leonhard Euler},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Leonhard_Euler},
  urldate = {2001-01-13}
}
@online{Leyland_Brothers,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Leyland Brothers},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Leyland_brothers},
  urldate = {2001-01-13}
}
@online{Linear_Diophantine,
  author  = {Wikimedia Foundation, Inc.},
  title   = {linear Diophantine},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Diophantine_equation},
  urldate = {2001-01-13}
}
@online{Logarithmic_integral_function,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Logarithmic integral function},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Logarithmic_integral_function},
  urldate = {2001-01-13}
}
@online{Look_And_Say_Numbers_Youtube,
  author  = {Google LLC},
  title   = {Look-and-Say Numbers (feat John Conway) - YouTube},
  year    = 2005,
  url     = {https://youtu.be/ea7lJkEhytA},
  urldate = {2005-02-15}
}
@online{Lychrel_seeds,
  author  = {Unknown},
  title   = {Lychrel seeds},
  year    = 2001,
  url     = {http://www.p196.org/lychrel_seeds.html},
  urldate = {2001-01-13}
}
@online{Macintosh_Hackenbush,
  author  = {Unknown},
  title   = {Macintosh one},
  year    = 2000,
  url     = {http://www.geometer.org/hackenbush/hackenbush.tar},
  urldate = {2000-02-07}
}
@online{Math_Xe2X88Xa9_Programming,
  author  = {Unknown},
  title   = {Math xe2x88xa9 Programming},
  year    = 2012,
  url     = {https://jeremykun.com},
  urldate = {2012-12-19}
}
@online{Mean_Value_Theorem_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Mean value theorem},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Mean_value_theorem},
  urldate = {2001-01-13}
}
@online{Mersenne_Prime_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Mersenne prime},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Mersenne_prime},
  urldate = {2001-01-13}
}
@online{Millennium_Prize_Problems_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Millennium Prize Problems},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Millennium_Prize_Problems},
  urldate = {2001-01-13}
}
@online{Mohammed_Farooq_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Mohammed Farooq},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Mohammed_Farooq},
  urldate = {2001-01-13}
}
@online{Much_More,
  author  = {Wikimedia Foundation, Inc.},
  title   = {much more},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Conway's_Game_of_Life\#Examples_of_patterns},
  urldate = {2001-01-13}
}
@online{Napier_Number,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Napier number},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/E_(mathematical_constant)},
  urldate = {2001-01-13}
}
@online{Newton_Laws_Of_Motion_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Newton's laws of motion},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Newton's_laws_of_motion},
  urldate = {2015-12-12}
}
@online{Nim_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Nim},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Nim},
  urldate = {2001-01-13}
}
@online{NP_Complexity,
  author  = {Wikimedia Foundation, Inc.},
  title   = {there is a solution},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/NP_(complexity)},
  urldate = {2001-01-13}
}
@online{_Numberphilen_Youtube,
  author  = {Google LLC},
  title   = {Numberphile - YouTube},
  year    = 2005,
  url     = {https://www.youtube.com/channel/UCoxcjq-8xIDTYp3uz647V5A},
  urldate = {2005-02-15}
}
@Online{One_Variable_Calculus,
  author  = {Wikimedia Foundation, Inc.},
  title   = {one variable calculus},
  year    = {2001},
  url     = {https://en.wikipedia.org/wiki/Calculus},
  urldate = {2001-01-13},
}
@online{Palindromic_Number_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Palindromic number},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Palindromic_number},
  urldate = {2001-01-13}
}
@online{Pi_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Pi},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Pi},
  urldate = {2001-01-13}
}
@online{Primegrid,
  author  = {WhoisGuard, Inc.},
  title   = {PrimeGrid},
  year    = 2002,
  url     = {http://seventeenorbust.com},
  urldate = {2002-06-10}
}
@online{Pythagorean_Triplet,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Pythagorean triplet},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Pythagorean_triple},
  urldate = {2001-01-13}
}
@online{QED._Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Q.E.D.},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Q.E.D.},
  urldate = {2001-01-13}
}
@online{Quaternion_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Quaternion},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Quaternion},
  urldate = {2001-01-13}
}
@online{Rational_Number_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Rational number},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Rational_number},
  urldate = {2001-01-13}
}
@online{Real_Number_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Real number},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Real_number},
  urldate = {2001-01-13}
}
@online{Natural_Number_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Natural number},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Natural_number},
  urldate = {2001-01-13}
}
@online{Decimal_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Decimal number},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Decimal_number},
  urldate = {2001-01-13}
}
@online{Integer_Number_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Integer number},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Integer_number},
  urldate = {2001-01-13}
}
@online{Richard_K_Guy_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Richard K. Guy},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Richard_K._Guy},
  urldate = {2001-01-13}
}
@online{Riemann_Zeta_Function,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Riemann Zeta function},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Riemann_zeta_function},
  urldate = {2001-01-13}
}
@online{Riemann_Zeta_Function_Zeta_From_Wolfram_Mathworld,
  author  = {Wolfram Research Inc.},
  title   = {Riemann Zeta Function zeta(2) -- from Wolfram MathWorld},
  year    = 1996,
  url     = {http://mathworld.wolfram.com/RiemannZetaFunctionZeta2.html},
  urldate = {1996-01-31}
}
@online{Rolle_Theorem,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Rolle's theorem},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Rolle's_theorem},
  urldate = {2001-01-13}
}
@online{Root_Mean_Square_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Root mean square},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Root_mean_square},
  urldate = {2001-01-13}
}
@online{The_On_Line_Encyclopedia_Of_Integer_Sequences,
  author  = {OEIS Foundation},
  title   = {The On-Line Encyclopedia of Integer Sequences® (OEIS®)},
  year    = 2003,
  url     = {https://oeis.org/},
  urldate = {2003-06-11}
}
@online{Series_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Series (mathematics)},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Series_(mathematics)},
  urldate = {2001-01-13}
}
@online{Singular_Series_From_Wolfram_Mathworld,
  author  = {Wolfram Research Inc.},
  title   = {Singular Series -- from Wolfram MathWorld},
  year    = 1996,
  url     = {http://mathworld.wolfram.com/SingularSeries.html},
  urldate = {1996-01-31}
}
@online{Source_Code,
  author  = {Unknown},
  title   = {source code},
  year    = 2003,
  url     = {http://www.megastormsystems.com/repository/Langton-SDL/Langton-SDL-1.00-source.zip},
  urldate = {2003-02-27}
}
@online{Space_And_Time_Resources,
  author  = {Wikimedia Foundation, Inc.},
  title   = {space and time resources},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Space\%E2\%80\%93time_tradeoff},
  urldate = {2001-01-13}
}
@online{Square_Number,
  author  = {Wikimedia Foundation, Inc.},
  title   = {square number},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Square_number},
  urldate = {2001-01-13}
}
@online{Stephen_Wolfram_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Stephen Wolfram},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Stephen_Wolfram},
  urldate = {2001-01-13}
}
@online{Television_Show_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Television show},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Television_program},
  urldate = {2001-01-13}
}
@online{The_Art_Of_Computer_Programming_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {The Art of Computer Programming},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/The_Art_of_Computer_Programming},
  urldate = {2001-01-13}
}
@online{Topology_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Topology},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Topology},
  urldate = {2001-01-13}
}
@online{Torus_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Torus},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Torus},
  urldate = {2001-01-13}
}
@online{Two_Dimensional_Space_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Two-dimensional space},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Two-dimensional_space},
  urldate = {2001-01-13}
}
@online{University_Of_Minnesota_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {University of Minnesota},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/University_of_Minnesota},
  urldate = {2001-01-13}
}
@online{Unsolved_Problems_In_Number_Theory_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Unsolved Problems in Number Theory},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Unsolved_Problems_in_Number_Theory},
  urldate = {2001-01-13}
}
@online{Vertex_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Vertex (graph theory)},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Vertex_(graph_theory)},
  urldate = {2001-01-13}
}
@online{Volume_Of_An_N_Ball_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Volume of an n-ball},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Volume_of_an_n-ball},
  urldate = {2001-01-13}
}
@online{Walli_Techniques_Of_Integration,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Walli's techniques of integration},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Wallis'_integrals#Recurrence_relation.2C_evaluating_the_Wallis.27_integrals},
  urldate = {2001-01-13}
}
@online{Waring_Problem,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Waring's problem},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Waring's_problem},
  urldate = {2001-01-13}
}
@online{Watchmaker_Analogy_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Watchmaker analogy},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/Watchmaker_analogy},
  urldate = {2001-01-13}
}
@online{William_George_Horner_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {William George Horner},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/William_George_Horner},
  urldate = {2001-01-13}
}
@online{William_Rowan_Hamilton_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {William Rowan Hamilton},
  year    = 2001,
  url     = {https://en.wikipedia.org/wiki/William_Rowan_Hamilton},
  urldate = {2001-01-13}
}
@online{Windows_Executable,
  author  = {Bitstorm Internet Development},
  title   = {Windows executable},
  year    = 1998,
  url     = {http://www.bitstorm.org/gameoflife/standalone/GameOfLife-1.5-installer.exe},
  urldate = {1998-10-19}
}
@Online{Windows_Executable_Langton,
  author  = {Unknown},
  title   = {Windows executable},
  year    = {2003},
  url     = {http://www.megastormsystems.com/repository/Langton-SDL/Langton-SDL-1.00-win-x86.zip},
  urldate = {2003-02-27},
}
@online{Wolfram_Mathworld:_The_Web_Most_Extensive_Mathematics_Resource,
  author  = {Wolfram Research Inc.},
  title   = {Wolfram MathWorld: The Web's Most Extensive Mathematics Resource},
  year    = 1996,
  url     = {http://mathworld.wolfram.com/},
  urldate = {1996-01-31}
}
@online{Birch_and_Swinnerton-Dyer_conjecture_Wikipedia,
  author  = {Wikimedia Foundation, Inc.},
  title   = {Birch and Swinnerton-Dyer conjecture},
  year    = 2019,
  url     = {https://en.wikipedia.org/wiki/Birch_and_Swinnerton-Dyer_conjecture},
  urldate = {2019-09-16}
}
